Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class WadlParamType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.WadlParamType

    public class WadlParamType

extends java.lang.Object

The documentation type for wadl params.
Created on: Jun 12, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`WadlParamType()`

Method Summary
`java.lang.String` | `getDoc()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStyle()`
`javax.xml.namespace.QName` | `getType()`
`void` | `setDoc(java.lang.String commentText)`
`void` | `setName(java.lang.String paramName)`
`void` | `setStyle(java.lang.String style)`
`void` | `setType(javax.xml.namespace.QName type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WadlParamType

    public WadlParamType()

Method Detail

### getDoc

    public java.lang.String getDoc()

  Returns:
    the commentText

### setDoc

    public void setDoc(java.lang.String commentText)

  Parameters:
    `commentText` - the commentText to set

### getName

    public java.lang.String getName()

  Returns:
    the className

### setName

    public void setName(java.lang.String paramName)

  Parameters:
    `paramName` - the className to set

### getStyle

    public java.lang.String getStyle()

  Returns:
    the style

### setStyle

    public void setStyle(java.lang.String style)

  Parameters:
    `style` - the style to set

### getType

    public javax.xml.namespace.QName getType()

  Returns:
    the type

### setType

    public void setType(javax.xml.namespace.QName type)

  Parameters:
    `type` - the type to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.